
Redmine - Patch #239

Adds two blocks for my/page and fixes a report bug

2007-12-07 12:11 - Rocco Stanzione

Status: New Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: My page Estimated time: 0.00 hour

Target version:    

Description

This fixes a report query filter bug where assigned_to="me", and adds two new blocks for my/page, for a manager's

dashboard - issues due in the next week and past due issues.

Related issues:

Related to Redmine - Feature #12789: Redmine - design study New

History

#1 - 2007-12-07 13:09 - Jean-Philippe Lang

This fixes a report query filter bug where

 assigned_to="me"

Could you tell more about this bug ?

#2 - 2007-12-12 13:52 - Rocco Stanzione

Maybe I should have better documented the bug before

submitting the fix.  If I set a filter like

assigned_to="me", it often (but not always) wouldn't

work

because executed_by was nil, apparently because

User.current.logged? was returning false.  This patch makes

it work by assuming that if User.current is not nil,

User.current is logged in and should be treated as

"me".

#3 - 2007-12-12 14:15 - Jean-Philippe Lang

If I set a filter like assigned_to="me", it often

 (but not always) wouldn't work

What do you when ? You get an error or the filter is not taken

into accout ?

by assuming that if User.current is not nil

 In fact, User.current is never nil.

#4 - 2007-12-12 14:37 - Rocco Stanzione

What do you when ? You get an error or the filter is not

 takeninto accout ?

The filter is incorrect (if I remember right, the SQL says

assigned_to='') and no results are returned.
In fact, User.current is never nil.

 That's the idea.  Possibly I'm missing something, but

User.current.logged? looked like an unnecessary step that

was returning the wrong results, so I circumvented

executed_by with User.current.

#5 - 2007-12-12 15:45 - Jean-Philippe Lang

I think I found the bug.

But I applied a different fix (in r979) because I don't want

that the "me" value appears when the user is not logged

(since the app don't know who he is).

#6 - 2011-03-29 14:06 - Toshi MARUYAMA

- Category set to My page

#7 - 2022-03-10 21:32 - sss sss

- File test.png added

 test.png 

#8 - 2022-03-10 21:34 - sss sss

- File test.png added

 test.png 

#9 - 2022-03-10 21:35 - sss sss

- File test.png added

 test.png 

#10 - 2022-03-11 00:29 - Go MAEDA

- File deleted (test.png)

#11 - 2022-03-11 00:29 - Go MAEDA

- File deleted (test.png)

#12 - 2022-03-11 00:29 - Go MAEDA

- File deleted (test.png)
